#############################################################################
##
#W symlog.gd              GUARANA package                     Bjoern Assmann
##
## Methods for symbolic log and exp. 
##
#H  @(#)$Id: symlog.gd,v 1.7 2006/08/05 17:14:09 bjoern Exp $
##
#Y 2006
##
##
DeclareOperation( "SetLogAndExpMethod", [IsObject, IsString] );
DeclareOperation( "SetStarMethod", [IsObject, IsString] );
DeclareOperation( "SetMultiplicationMethod", [IsObject, IsString] );


DeclareOperation( "LogMethod" , [IsObject] );
DeclareOperation( "ExpMethod" , [IsObject] );
DeclareOperation( "StarMethod" , [IsObject] );
DeclareOperation( "MultiplicationMethod" , [IsObject] );

DeclareGlobalFunction( "AddLogAndExpPolynomials" );
DeclareGlobalFunction( "AddStarPolynomials" );
DeclareGlobalFunction( "AddDTPolynomials" );
#############################################################################
##
#E
